cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Hans-Heinrich Braun <hansheinrichbr...@yahoo.de>
Subject Re: error in jetty with 3.0.0-beta-1-SNAPSHOT
Date Sat, 13 Feb 2016 11:58:28 GMT
i made the following change
 <dependency>         <groupId>org.aspectj</groupId>         <artifactId>aspectjrt</artifactId> 
       <version>1.5.4</version>      </dependency>      <dependency> 
       <groupId>org.aspectj</groupId>         <artifactId>aspectjweaver</artifactId> 
       <version>1.8.0</version>      </dependency>
and install and jetty:run worked
      Von: Francesco Chicchiriccò <ilgrosso@apache.org>
 An: dev@cocoon.apache.org 
 Gesendet: 12:42 Samstag, 13.Februar 2016
 Betreff: Re: error in jetty with 3.0.0-beta-1-SNAPSHOT
   
On 2016-02-13 11:54 Hans-Heinrich Braun wrote:
when i do what you told  i get by jetty:run the following error: [ERROR] [ERROR] Some problems
were encountered while processing the POMs:[ERROR] 'dependencies.dependency.version' for org.aspectj:aspectjrt:jar
is missing. @ line 93, column 20
 This is exactly what I've fixed yesterday: I also re-published all SNAPSHOT artifacts, but
for some reason you're still getting the old ones. Either ensure to re-generate your project
from fresh SNAPSHOT artifacts or simply remove <dependency>
  <groupId>org.aspectj</groupId>
  <artifactId>aspectjrt</artifactId>
</dependency> from your pom.xml HTHRegards. 
Von: Francesco Chicchiriccò <ilgrosso@apache.org>
 An: dev@cocoon.apache.org 
 Gesendet: 16:39 Freitag, 12.Februar 2016
 Betreff: Re: error in jetty with 3.0.0-beta-1-SNAPSHOT
 
On 12/02/2016 16:02, Hans-Heinrich Braun wrote:
i have a cocoon application which i used already some time.When i tried to reinstall it and
tried to start it with jetty:run i get the following error.:

 Hi,
 I have just fixed some problems with published SNAPSHOT artifacts.

 I have just re-generated an empty Cocoon 3 block with

 mvn archetype:generate \
     -DarchetypeGroupId=org.apache.cocoon.archetype-block \
     -DarchetypeArtifactId=cocoon-archetype-block \
     -DarchetypeVersion=3.0.0-beta-1-SNAPSHOT \
     -DgroupId=com.mycompany \
     -DartifactId=mysite \
     -DarchetypeRepository=https://repository.apache.org/content/repositories/snapshots/

 then

 cd mysite
 mvn jetty:run

 and it worked flawlessly.

 I have noticed troubles in building Cocoon 3 source with JDK 8, so I had to switch to JDK
7.

 HTH
 Regards.


 [ERROR] Failed startup of context org.mortbay.jetty.plugin.Jetty6PluginWebAppContext@3c3562c0{/,/home/braun/appfuse/braunimmobilien/cocoon/target/rcl/webapp}java.lang.RuntimeException:
Cannot invoke listener org.springframework.web.context.ContextLoaderListener@6468904c and
later  Caused by: org.springframework.beans.factory.BeanDefinitionStoreException: Unable
to read spring configurations from classpath*:META-INF/cocoon/spring; nested exception is
org.springframework.beans.factory.parsing.BeanDefinitionParsingException: Configuration problem:
Unexpected failure during bean definition parsingOffending resource: URL [jar:file:/home/braun/.m2/repository/org/apache/cocoon/cocoon-jnet/1.2.2/cocoon-jnet-1.2.2.jar!/META-INF/cocoon/spring/cocoon-jnet-collector.xml]Bean
'org.apache.cocoon.jnet.URLHandlerFactoryCollector'; nested exception is java.lang.NoSuchMethodError:
org.springframework.util.ClassUtils.forName(Ljava/lang/String;)Ljava/lang/Class; I could
not find out what i made wrong

-- 
 Francesco Chicchiriccò
 
 Tirasa - Open Source Excellence
 http://www.tirasa.net/
 
 Involved at The Apache Software Foundation:
 member, Syncope PMC chair, Cocoon PMC, Olingo PMC, CXF Committer
 http://home.apache.org/~ilgrosso/

  
Mime
View raw message